Bug 507043 - evolution+openchange crash when retrieving certain messages
evolution+openchange crash when retrieving certain messages
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-mapi (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 20:33 EDT by Matthew Woehlke
Modified: 2009-06-22 13:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-21 08:25:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 584072 None None None Never
GNOME Bugzilla 586524 None None None Never

  None (edit)
Description Matthew Woehlke 2009-06-19 20:33:01 EDT
Evolution (openchange?) crashes with the following:
exchange-mapi-connection.c:1004: Entering exchange_mapi_connection_fetch_items: folder-id E69E0E0100000003 libexchangemapi-Message: exchange-mapi-connection.c:1006: exchange_mapi_connection_fetch_items: lock(connect_lock)
**
camel:ERROR:camel-internet-address.c:535:camel_internet_address_format_address: assertion failed: (addr)
Aborted

I've done some minimal debugging; the 'item' (previous call) has no from name or from address, though it apparently should (does in OWA, for example). I can reproduce this every time trying to sync/view certain folders.

I'm using evolution+openchange against my company's exchange server (very unlikely they'd change anything on their end to help, here).

Fully-updated f11 packages as of 2009-06-19.

I'm willing to assist with further debugging (but cannot give access to any machines/accounts/resources and probably can't even provide sample mails); please let me know what other information is useful.

Anyway, backtrace:
#3  0x00007fffed15d860 in g_assertion_message_expr () from /lib64/libglib-2.0.so.0
#4  0x00007ffff4d15da6 in camel_internet_address_format_address (name=0x0, addr=0x0) at camel-internet-address.c:535
#5  0x00007fffd959fcff in mapi_update_cache (changeinfo=<value optimized out>, list=<value optimized out>, folder=<value optimized out>, ex=<value optimized out>, uid_flag=<value optimized out>)
    at camel-mapi-folder.c:448
#6  fetch_items_cb (changeinfo=<value optimized out>, list=<value optimized out>, folder=<value optimized out>, ex=<value optimized out>, uid_flag=<value optimized out>) at camel-mapi-folder.c:309
#7  0x00007fffe0e2d209 in exchange_mapi_connection_fetch_items (fid=<value optimized out>, res=<value optimized out>, sort_order=<value optimized out>, GetPropsList=<value optimized out>,
    cn_props=<value optimized out>, build_name_id=<value optimized out>, build_name_data=0x0, cb=0x7fffd959f6a0 <fetch_items_cb>, data=0x7fffb803cd80, options=<value optimized out>)
    at exchange-mapi-connection.c:1201
#8  0x00007fffd959f3e1 in mapi_refresh_folder (folder=0xdafd50, ex=0xdb6e50) at camel-mapi-folder.c:747
#9  0x00007fffd959f593 in mapi_refresh_info (folder=0x25db, ex=0x260c) at camel-mapi-folder.c:154
#10 0x00007fffddd1b0ef in mail_msg_proxy (msg=0xdb6e30) at mail-mt.c:520
Comment 1 Matthew Barnes 2009-06-21 08:25:14 EDT
Moving this upstream for better visibility.  Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=586524
Comment 2 Matthew Woehlke 2009-06-22 13:58:34 EDT
Upstream reports this patched and FIXED (bug 584072). Any timeframe on an update, and/or possibility of backporting the fix until the downstream is updated to the next upstream release?

Note You need to log in before you can comment on or make changes to this bug.